%define oname rxvt-unicode

Name: rxvt-unicode-light
Version: 9.31
Release: alt1

Summary: rxvt-unicode is a clone of the well known terminal emulator rxvt
License: GPL-3.0-or-later
Group: Terminals
Url: http://software.schmorp.de/pkg/rxvt-unicode.html
Conflicts: %oname
Provides: %oname
Conflicts: xterm
Provides: xterm

%define _unpackaged_files_terminate_build 0
%define _stripped_files_terminate_build 1

AutoReq: yes, noperl

# due to TERM=rxvt-unicode-256color
Requires: terminfo-extra >= 5.7-alt3.1

Provides: urxvt, xvt

Source: http://dist.schmorp.de/%oname/%oname-%version.tar.bz2
Source1: %oname.alternatives
Source2: %oname.desktop

Patch0001: 0001-ALT-Change-cutchars.patch
Patch0002: 0002-Prefer-XDG_RUNTIME_DIR-over-the-HOME.patch
Patch0003: 0003-ALT-Fix-path-to-the-xsubpp-utility.patch
Patch0004: 0004-Upstream-fix-unicode-characters-with-perl-5.38.0.patch

BuildRequires: alternatives
BuildRequires: gcc-c++
BuildRequires: perl-devel
BuildRequires: perl-podlators
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(libptytty)
BuildRequires: pkgconfig(libstartup-notification-1.0)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xft)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xt)

%description
rxvt-unicode is a clone of the well known terminal emulator rxvt, modified to
store text in Unicode (either UCS-2 or UCS-4) and to use locale-correct input
and output. It also supports mixing multiple fonts at the same time, including
Xft fonts.

%prep
%setup -n rxvt-unicode-%version
%autopatch -p2

%build
#autoreconf

%configure \
	--enable-everything \
	--enable-256-color \
                                  --with-terminfo=%_datadir/terminfo \
                                  --disable-unicode3 \
                              --enable-xft \
                              --disable-font-styles \
                                  --disable-afterimage \
                                  --disable-pixbuf \
                                  --disable-transparency \
                                  --disable-fading \
                                  --disable-rxvt-scroll \
                                  --enable-next-scroll \
                                  --disable-xterm-scroll \
                                  --disable-perl \
                                  --disable-xim \
                                  --enable-backspace-key \
                                  --enable-delete-key \
                              --enable-resources \
                                  --disable-swapscreen \
                                  --disable-iso14755 \
                              --enable-frills \
                                  --enable-keepscrolling \
                                  --enable-selectionscrolling \
                                  --enable-mousewheel \
                                  --disable-slipwheeling \
                                  --disable-smart-resize \
                                  --disable-text-blink \
                                  --disable-pointer-blank \
                                  --disable-utmp \
                                     --disable-wtmp \
                                     --disable-lastlog \
                                     --with-codesets="" \
                                     --disable-combining \
                                     --disable-assert \
    --disable-perl \
    --disable-rxvt-scroll \
    --disable-next-scroll \
    --disable-xterm-scroll \
    --disable-smart-resize \
--enable-frills \
    --disable-slipwheeling \
    --disable-startup-notification \
    --disable-transparency \
    --disable-utmp \
    --disable-wtmp \
    --enable-xft
	#
%make_build

%install
%makeinstall_std

install -pD -m644 %SOURCE1 %buildroot/%_altdir/%oname
install -pD -m644 %SOURCE2 %buildroot/%_desktopdir/%oname.desktop
cd %buildroot/%_bindir && ln -sf urxvt xterm

%files
%doc README.FAQ INSTALL doc/README.xvt doc/etc
%_bindir/urxvt
%_bindir/xterm
%_altdir/%oname
%_desktopdir/%oname.desktop
%_man1dir/urxvt.*
#%_man3dir/*
#%_man7dir/*
#%_libdir/urxvt/

%changelog
* Fri Mar 08 2024 sfs <sfslinux@.gmail.com>
- New release (9.31).

* Sun Dec 03 2023 Ivan A. Melnikov <iv@altlinux.org> 9.30-alt1.1
- Fix display of unicode characters with perl 5.38.0 (ALT#48669).

* Mon Oct 10 2022 Alexey Gladkov <legion@altlinux.ru> 9.30-alt1
- New release (9.30).

* Sat Oct 16 2021 Alexey Gladkov <legion@altlinux.ru> 9.26-alt1
- New release (9.26).
- Update license tag.
- Add patches from SUSE.

* Thu Jan 24 2019 Igor Vlasenko <viy@altlinux.ru> 9.22-alt1.2
- rebuild with new perl 5.28.1

* Fri Dec 15 2017 Igor Vlasenko <viy@altlinux.ru> 9.22-alt1.1.1
- rebuild with new perl 5.26.1

* Fri Feb 03 2017 Igor Vlasenko <viy@altlinux.ru> 9.22-alt1.1
- rebuild with new perl 5.24.1

* Mon Jan 30 2017 Igor Vlasenko <viy@altlinux.ru> 9.22-alt1
- NMU: new version

* Wed Nov 25 2015 Igor Vlasenko <viy@altlinux.ru> 9.20-alt1.1.1
- rebuild with new perl 5.22.0

* Tue Dec 09 2014 Igor Vlasenko <viy@altlinux.ru> 9.20-alt1.1
- rebuild with new perl 5.20.1

* Wed Apr 30 2014 Alexey Gladkov <legion@altlinux.ru> 9.20-alt1
- New release (9.20).

* Wed Oct 30 2013 Alexey Gladkov <legion@altlinux.ru> 9.19-alt1
- New release (9.19).
- Enable pixbuf support (ALT#29538).

* Fri Aug 30 2013 Vladimir Lettiev <crux@altlinux.ru> 9.15-alt3
- built for perl 5.18

* Tue Sep 04 2012 Vladimir Lettiev <crux@altlinux.ru> 9.15-alt2
- rebuilt for perl-5.16

* Thu May 31 2012 Alexey Gladkov <legion@altlinux.ru> 9.15-alt1
- New release (9.15).

* Fri Oct 07 2011 Alexey Tourbin <at@altlinux.ru> 9.10-alt1.1
- rebuilt for perl-5.14

* Mon Dec 20 2010 Alexey Gladkov <legion@altlinux.ru> 9.10-alt1
- New release (9.10).

* Sun Nov 07 2010 Vladimir Lettiev <crux@altlinux.ru> 9.09-alt2.20100823.1
- rebuilt with perl 5.12

* Sat Aug 28 2010 Alexey Gladkov <legion@altlinux.ru> 9.09-alt2.20100823
- Fix requires (ALT#23982).
- Add provides (ALT#10488, ALT#23969).

* Mon Aug 23 2010 Alexey Gladkov <legion@altlinux.ru> 9.09-alt1.20100823
- New snapshot (9.09 20100823)
- Add ':' (colon) to default CUTCHARS (ALT#23929).
- Change $TERM to rxvt-unicode-256color in 256-color mode (ALT#23928).

* Sat Jan 02 2010 Alexey Gladkov <legion@altlinux.ru> 9.07-alt1
- New version (9.07).

* Mon May 25 2009 Alexey Gladkov <legion@altlinux.ru> 9.06-alt2
- Fix type conversion.
- Remove obsolete macro.

* Sat Nov 08 2008 Alexey Gladkov <legion@altlinux.ru> 9.06-alt1
- New version (9.06).

* Tue Mar 04 2008 Alexey Gladkov <legion@altlinux.ru> 9.02-alt1
- New version (9.02).

* Mon Jan 28 2008 Alexey Gladkov <legion@altlinux.ru> 9.0-alt1
- New version (9.0).

* Wed Jan 02 2008 Alexey Gladkov <legion@altlinux.ru> 8.9-alt1
- New version (8.9).

* Wed Oct 31 2007 Alexey Gladkov <legion@altlinux.ru> 8.4-alt1
- New version (8.4).

* Wed Sep 05 2007 Alexey Gladkov <legion@altlinux.ru> 8.3-alt1
- New version (8.3).
- Add desktop file.
- Add alternatives.

* Mon May 21 2007 Alexey Gladkov <legion@altlinux.ru> 8.2-alt3
- Remove termutils-devel from Buildrequires.

* Mon May 14 2007 Alexey Gladkov <legion@altlinux.ru> 8.2-alt2
- Update Buildrequires.
- Move terminfo/r/rxvt-unicode to terminfo-5.6-alt3.

* Sat Apr 28 2007 Alexey Gladkov <legion@altlinux.ru> 8.2-alt1
- new version (8.2)

* Sun Dec 10 2006 Alexey Voinov <voins@altlinux.ru> 8.1-alt1
- new version (8.1)

* Sun Nov 12 2006 Alexey Voinov <voins@altlinux.ru> 8.0-alt1
- new version (8.0)
- perl enabled [#10233]
- buildreqs updated

* Sat Sep 16 2006 Alexey Voinov <voins@altlinux.ru> 7.9-alt1
- new version (7.9)
- url updated

* Sun Jan 08 2006 Alexey Voinov <voins@altlinux.ru> 6.3-alt1
- new version (6.3)

* Thu Nov 03 2005 Alexey Voinov <voins@altlinux.ru> 5.8-alt1
- new version (5.8)

* Sun Apr 24 2005 Alexey Voinov <voins@altlinux.ru> 5.5-alt1
- new version (5.5)

* Mon Apr 18 2005 Alexey Voinov <voins@altlinux.ru> 5.4-alt1
- new version (5.4)

* Sun Mar 13 2005 Alexey Voinov <voins@altlinux.ru> 5.3-alt1
- new version (5.3)

* Tue Feb 22 2005 Alexey Voinov <voins@altlinux.ru> 5.2-alt1
- new version (5.2)

* Fri Feb 04 2005 Alexey Voinov <voins@altlinux.ru> 4.9-alt1
- new version (4.9)

* Tue Jan 18 2005 Alexey Voinov <voins@altlinux.ru> 4.8-alt1
- new version (4.8)

* Thu Dec 30 2004 Alexey Voinov <voins@altlinux.ru> 4.7-alt1
- new version (4.7)

* Thu Dec 16 2004 Alexey Voinov <voins@altlinux.ru> 4.6-alt1
- new version (4.6)

* Tue Dec 14 2004 Alexey Voinov <voins@altlinux.ru> 4.5-alt1
- new version (4.5)

* Mon Oct 11 2004 Alexey Voinov <voins@altlinux.ru> 4.0-alt1
- initial build
